Go to the location shown below and create a new custom event called Client Check. Then replace the tick node with the Client Check node like shown in the image below.

Add the highlighted nodes shown in the image below, location at the top of the image.

Make the changes shown in the image below, location at the top of the screenshot.

Guide updated (30/04/21)

Copy the video below.

Next go to the BP_MasterBuildPart and create a new variable called GridComponents and set it to variable type BP_GridComponent then set it to an array.

Add the highlighted nodes shown in the image below, location at the top of the image.

Go to the BP_MasterBuildPart and compile then copy the video below.

Add the highlighted nodes shown in the image below, location at the top of the image.

Set the Sphere radius to 40 on the highlighted node shown below.

Next copy the video below

Next go to the BP_MasterBuildPart and create a new variable called BuildCollisionComponents and set it to variable type PrimitiveComponent then set it to an array.

Add the highlighted nodes shown in the image below, location at the top of the image.

Go to the BP_MasterBuildPart and compile then copy the video below.

Copy the video below.

Add the highlighted nodes shown in the image below, location at the top of the image.